GET https://api.cryptohopper.com/v1/hopper/{id}/stats/dashboard

Returns the dashboard totals of the hopper: amount invested, total returns, value of open positions and fees paid.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/stats/dashboard" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Optional The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": {
        "total_invest": "1250.0000000000000000",
        "total_returns": "1285.2000000000000000",
        "total_positions": "812.5000000000000000",
        "total_fees": "3.1000000000000000"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.